%{!?python3_version: %global python3_version %(%{__python3} -c "import sys; sys.stdout.write(sys.version[:3])")}

%if 0%{?fedora} > 12 || 0%{?rhel} > 6
%global with_python3 1
%endif

%if 0%{?fedora}
%{!?python3_pkgversion: %global python3_pkgversion 3}
%else
%{!?python3_pkgversion: %global python3_pkgversion 34}
%endif

%global upstream_name wrapt

Name:           python-%{upstream_name}
Version:        1.10.2
Release:        1%{?dist}
Summary:        A Python module for decorators, wrappers and monkey patching

License:        BSD
URL:            https://github.com/GrahamDumpleton/wrapt
Source0:        https://pypi.python.org/packages/source/w/%{upstream_name}/%{upstream_name}-%{version}.tar.gz
 
BuildRequires:  python2-devel


%description
The aim of the **wrapt** module is to provide a transparent object proxy for
Python, which can be used as the basis for the construction of function
wrappers and decorator functions.

The **wrapt** module focuses very much on correctness. It therefore goes
way beyond existing mechanisms such as ``functools.wraps()`` to ensure that
decorators preserve introspectability, signatures, type checking ...

%if 0%{?with_python3}
%package -n     python%{python3_pkgversion}-%{upstream_name}
Summary:        A Python module for decorators, wrappers and monkey patching
BuildRequires:  python3-pkgversion-macros
BuildRequires:  python%{python3_pkgversion}-devel


%description -n python%{python3_pkgversion}-%{upstream_name}
The aim of the **wrapt** module is to provide a transparent object proxy for
Python, which can be used as the basis for the construction of function
wrappers and decorator functions.

The **wrapt** module focuses very much on correctness. It therefore goes
way beyond existing mechanisms such as ``functools.wraps()`` to ensure that
decorators preserve introspectability, signatures, type checking ...
%endif # with_python3


%prep
%setup -q -n %{upstream_name}-%{version}

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'
%endif # with_python3


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python2} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
CFLAGS="$RPM_OPT_FLAGS" %{__python3} setup.py build
popd
%endif # with_python3


%install
rm -rf %{buildroot}
%{__python2} setup.py install --skip-build --root %{buildroot}

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif # with_python3


%files
%doc LICENSE
%{python2_sitearch}/%{upstream_name}
%{python2_sitearch}/%{upstream_name}-%{version}-py?.?.egg-info

%if 0%{?with_python3}
%files -n python%{python3_pkgversion}-%{upstream_name}
%doc LICENSE
%{python3_sitearch}/%{upstream_name}
%{python3_sitearch}/%{upstream_name}-%{version}-py?.?.egg-info
%endif # with_python3


%changelog
* Thu Feb 12 2015 Aurelien Bompard - 1.10.2-1
- Initial package.
